/*
 * Copyright (C) 2013 Darth Affe <http://wyrez.org> and contributors
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package org.wyrez.shootingstars.game;

import com.jme3.texture.Image;

/**
 *
 * @author Darth Affe
 */
public class GameSettings {

    private static final int WIDTH = 1280;
    private static final int HEIGHT = 720;
    private static final int DEPTH = 4;
    private static final String VIDEO_FORMAT = "RGBA";
    private static final Image.Format TEXTURE_FORMAT = Image.Format.RGBA8;
    /**/
    private String audioFile;
    private String videoFile;
    private boolean useVideo;

    public GameSettings() {
    }

    public void setAudioFile(String audioFile) {
        this.audioFile = audioFile;
        this.useVideo = false;
    }

    public void setVideoFile(String videoFile) {
        this.videoFile = videoFile;
        this.useVideo = true;
    }

    public String getAudioFile() {
        return audioFile;
    }

    public String getVideoFile() {
        return videoFile;
    }

    public boolean useVideo() {
        return useVideo;
    }

    public int getVideoWidth() {
        return WIDTH;
    }

    public int getVideoHeight() {
        return HEIGHT;
    }

    public int getVideoDepth() {
        return DEPTH;
    }

    public String getVideoFormat() {
        return VIDEO_FORMAT;
    }

    public Image.Format GetTextureFormat() {
        return TEXTURE_FORMAT;
    }
}
